INTERFACE
SUBROUTINE CPG_DYN_TL(&
 & CDCONF,&
 & KST,KEND,KSTGLO,&
 & LDLADNMI,&
 & PDT,&
 & PSLHDA,PSLHDD0,&
 & PGM,PRCORI,PGOMVRL,PGOMVRM,PRATATX,PRATATH,&
 & POROG,POROGL,POROGM,&
 & PRE0,PDELP0,PRDELP0,&
 & PHI0,PHIF0,PCP0,PR0,&
 & PKAP0,PEVEL0,PVVEL0,PSDVBC0,PKENE0,&
 & PSGRTL,PSGRTM,&
 & PGFL,&
 & PGMV,PGMVS,&
 & PB1,PB2,PGMVT1,PGMVT1S,PGFLT1,&
 & PRE5,PDELP5,PRDELP5,&
 & PHI5,PHIF5,&
 & PCP5,PR5,PKAP5,&
 & PEVEL5,PVVEL5,PSDVBC5,&
 & PSGRT5L,PSGRT5M,&
 & PSD_VF5,&
 & PUT95,PVT95,&
 & PEDOTT95,PUNLT95,PVNLT95,PTNLT95,PSPNLT95,&
 & PB15,PGMV5,PGMV5S,PGFL5) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLSA ,NFLEVG ,NPROMA
USE YOMDIMT , ONLY : NPROMT
USE YOMSC2 , ONLY : NFLDSLB2 ,NFLDSLB1,NFLDSLB15
USE YOM_YGFL , ONLY : YGFL
USE YOMGMV , ONLY : NDIMGMV,NDIMGMVS,YT0,YT9,YT5,YT1
USE SURFACE_FIELDS_MIX, ONLY : YSD_VFD, YSD_VF
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(IN) :: LDLADNMI
REAL(KIND=JPRB) ,INTENT(IN) :: PDT
REAL(KIND=JPRB) ,INTENT(IN) :: PSLHDA(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLHDD0(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGOMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRATATH(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP0(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PR0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDVBC0(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKENE0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHI5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDVBC5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSD_VF5(NPROMA,YSD_VFD%NDIM5)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT95(NPROMT,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEDOTT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB15(NPROMA,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV5S(NPROMA,YT5%NDIMS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL5(NPROMA,NFLEVG,YGFL%NDIM5)
END SUBROUTINE CPG_DYN_TL
END INTERFACE
